Update bot
curl --request PATCH \
--url https://api.helloannie.com/v1/bots/{botId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"greeting": "<string>",
"internalName": "<string>",
"companyName": "<string>",
"phoneGreeting": "<string>",
"closedChatGreeting": "<string>",
"closedPhoneGreeting": "<string>",
"outbound": true,
"isRagEnabled": false,
"isGuardianEnabled": true,
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelVersion": "<string>"
}
'import requests
url = "https://api.helloannie.com/v1/bots/{botId}"
payload = {
"name": "<string>",
"greeting": "<string>",
"internalName": "<string>",
"companyName": "<string>",
"phoneGreeting": "<string>",
"closedChatGreeting": "<string>",
"closedPhoneGreeting": "<string>",
"outbound": True,
"isRagEnabled": False,
"isGuardianEnabled": True,
"integrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelVersion": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
greeting: '<string>',
internalName: '<string>',
companyName: '<string>',
phoneGreeting: '<string>',
closedChatGreeting: '<string>',
closedPhoneGreeting: '<string>',
outbound: true,
isRagEnabled: false,
isGuardianEnabled: true,
integrationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
modelVersion: '<string>'
})
};
fetch('https://api.helloannie.com/v1/bots/{botId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"greeting": "<string>",
"phoneGreeting": "<string>",
"closedChatGreeting": "<string>",
"closedPhoneGreeting": "<string>",
"outbound": false,
"isRagEnabled": false,
"isGuardianEnabled": true,
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Bots
Update bot
Modify mutable fields on a bot in the organization.
PATCH
/
bots
/
{botId}
Update bot
Path Parameters
The ID of the bot to update
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Fields that can be updated on an existing bot
The name of the bot
The greeting message for the bot
Internal name for the bot
DEPRECATED: This field uses the organization's name. Values provided are ignored when creating or updating bots.
Available options:
DENTAL, CHIROPRACTIC, OPTOMETRY, WELLNESS, PEDIATRIC, PEDIATRIC_DENTISTRY, ORTHODONTIST, SLEEP_MEDICINE, BUSINESS_CONSULTANT, MARKETING_COMPANY The phone greeting message for the bot
The closed chat greeting message
The closed phone greeting message
Whether the bot is used to make outbound/recare calls
DEPRECATED: Only false is accepted. RAG is always disabled.
DEPRECATED: Only true is accepted. Guardian is always enabled.
The integration ID for the bot
The model version for the bot
⌘I